


void setup()
{
  initSerial();
  initPinModes();
}

void initSerial()
{
  Serial.begin(115200); 
  while(!Serial){} // Waiting for serial connection
  Serial.println();
}

void initPinModes()
{
  pinMode(7, INPUT);
  pinMode(6, INPUT);
  pinMode(5, INPUT);
  pinMode(4, INPUT);
  pinMode(3, INPUT);
  pinMode(2, INPUT);
}

void loop()
{
  String lineString = "";

  lineString += "A0:" + String(analogRead(A0));
  lineString += ";";

  lineString += "A1:" + String(analogRead(A1));
  lineString += ";";

  lineString += "A2:" + String(analogRead(A2));
  lineString += ";";

  lineString += "A3:" + String(analogRead(A3));
  lineString += ";";

  lineString += "A4:" + String(analogRead(A4));
  lineString += ";";

  lineString += "A5:" + String(analogRead(A5));
  lineString += ";";

  lineString += "D7:" + String(digitalRead(7));
  lineString += ";";

  lineString += "D6:" + String(digitalRead(6));
  lineString += ";";

  lineString += "D5:" + String(digitalRead(5));
  lineString += ";";

  lineString += "D4:" + String(digitalRead(4));
  lineString += ";";

  lineString += "D3:" + String(digitalRead(3));
  lineString += ";";

  lineString += "D2:" + String(digitalRead(2));
  lineString += ";";
  

  lineString += "#EOL#";

  Serial.println(lineString);

  delay(300);
}
